curl https://api.notvis.com/v1/emails/messages/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer nc_live_your_api_key"
const response = await fetch(
'https://api.notvis.com/v1/emails/messages/550e8400-e29b-41d4-a716-446655440000',
{ headers: { 'Authorization': 'Bearer nc_live_your_api_key' } }
);
const email = await response.json();
console.log(email.status);
import requests
response = requests.get(
'https://api.notvis.com/v1/emails/messages/550e8400-e29b-41d4-a716-446655440000',
headers={'Authorization': 'Bearer nc_live_your_api_key'},
)
print(response.json()['status'])
{
"message_id": "550e8400-e29b-41d4-a716-446655440000",
"account_id": "acc_123",
"from": { "email": "hello@yourdomain.com", "name": "Your App" },
"to": [{ "email": "user@example.com", "name": "John Doe" }],
"subject": "Welcome to Our App",
"tags": ["welcome", "onboarding"],
"metadata": { "user_id": "usr_123" },
"status": "delivered",
"created_at": "2026-07-12T10:00:00Z"
}
{
"code": 404,
"message": "message not found"
}
Email
Get Email
Retrieve the status and details of an email message.
GET
/
v1
/
emails
/
messages
/
{message_id}
curl https://api.notvis.com/v1/emails/messages/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer nc_live_your_api_key"
const response = await fetch(
'https://api.notvis.com/v1/emails/messages/550e8400-e29b-41d4-a716-446655440000',
{ headers: { 'Authorization': 'Bearer nc_live_your_api_key' } }
);
const email = await response.json();
console.log(email.status);
import requests
response = requests.get(
'https://api.notvis.com/v1/emails/messages/550e8400-e29b-41d4-a716-446655440000',
headers={'Authorization': 'Bearer nc_live_your_api_key'},
)
print(response.json()['status'])
{
"message_id": "550e8400-e29b-41d4-a716-446655440000",
"account_id": "acc_123",
"from": { "email": "hello@yourdomain.com", "name": "Your App" },
"to": [{ "email": "user@example.com", "name": "John Doe" }],
"subject": "Welcome to Our App",
"tags": ["welcome", "onboarding"],
"metadata": { "user_id": "usr_123" },
"status": "delivered",
"created_at": "2026-07-12T10:00:00Z"
}
{
"code": 404,
"message": "message not found"
}
Request Headers
string
required
Bearer token. Format:
Bearer nc_live_your_api_keyPath Parameters
string
required
The unique message ID returned when the email was sent.
Response
string
Unique message identifier.
string
Your account ID.
object
Sender email address and name.
array
List of To recipients.
array
List of CC recipients.
array
List of BCC recipients.
string
Email subject line.
string[]
Tags attached to this email.
object
Custom metadata attached to this email.
string
Current status. One of:
queued, scheduled, sending, sent, delivered, bounced, failed.string
ISO 8601 timestamp of when the email was created.
Email data is available for 7 days after creation. The response does not include
body_html or body_text for security — only metadata and status.curl https://api.notvis.com/v1/emails/messages/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer nc_live_your_api_key"
const response = await fetch(
'https://api.notvis.com/v1/emails/messages/550e8400-e29b-41d4-a716-446655440000',
{ headers: { 'Authorization': 'Bearer nc_live_your_api_key' } }
);
const email = await response.json();
console.log(email.status);
import requests
response = requests.get(
'https://api.notvis.com/v1/emails/messages/550e8400-e29b-41d4-a716-446655440000',
headers={'Authorization': 'Bearer nc_live_your_api_key'},
)
print(response.json()['status'])
{
"message_id": "550e8400-e29b-41d4-a716-446655440000",
"account_id": "acc_123",
"from": { "email": "hello@yourdomain.com", "name": "Your App" },
"to": [{ "email": "user@example.com", "name": "John Doe" }],
"subject": "Welcome to Our App",
"tags": ["welcome", "onboarding"],
"metadata": { "user_id": "usr_123" },
"status": "delivered",
"created_at": "2026-07-12T10:00:00Z"
}
{
"code": 404,
"message": "message not found"
}